app.controller('infoController', ['$scope', '$routeParams', 'storageService', '$sce',
    function ($scope, $routeParams, storageService, $sce) {
        var id = $routeParams['id'];
        var path = 'info';
        $scope[path] = storageService.getById(path, id);
        console.log(storageService.getById(path, id));
        
        // Check for updates and update data when done
        storageService.dataUpdated(path).then(function(results){
            if(results.data !== localStorage.getItem(path + '_updated')){
                storageService.updateData(path).then(function(){
                    $scope[path] = storageService.getById(path, id);
                });
            } 
        });
        
        $scope.trustHTML = function( html ) {
            return $sce.trustAsHtml(html);
        };
}]);